# FTP auto-deploy; instructions here: https://is.gd/D84vXz
image: ruby:2.4.1
stages:
  - deploy

before_script:
  - apt-get update -qq && apt-get install -y -qq libcurl4-openssl-dev lftp
  - bundle install
  - gem install jekyll

deploy_script:
  stage: deploy
  only:
    - master
  environment:
    name: website
    url: https://cmci.colorado.edu/cmci
  script:
    - echo "Building.."
    - chmod +x ./_scripts/build.sh
    - ./_scripts/build.sh
    - echo "Deploying.."
    - chmod +x ./_scripts/deploy_website.sh
    - ./_scripts/deploy_website.sh

